# 透過 services: 提供可以運行 Container 的 docker。
services:
  - docker:19.03.12-dind

# 只需要一個 Stage
stages:
    - load-testing

# 唯一的一個 CI Job 就是我們的 JMeter
jmeter:
    # 需要 docker client，因此 image 也選擇 docker
    image: docker:19.03.12
    stage: load-testing
    script:
        - sh test.sh $TARGET_HOST $TARGET_PORT $TARGET_PATH $TARGET_KEYWORD $TARGET_PROTOCOL $TARGET_LOOPS $THREADS
    when: manual
    
    # 將 Report 儲存為 artifacts
    artifacts:
        paths:
        - report
        # Report 要保留多久可以自己設定
        expire_in: 1 week
